### Method

# Fwupd Device set_vendor

since: 0.9.3

#### Declaration [src]

    void
    fwupd_device_set_vendor (
      FwupdDevice* self,
      const gchar* vendor
    )

#### Description [src]

Sets the device vendor.

Available since: 0.9.3

#### Parameters

`vendor`

  Type: `const gchar*`

  The vendor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.